<?php

namespace Drp\SimpleCms;

use Illuminate\Support\Collection;

class AllContent
{
    public function content(): Collection
    {
        // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter.Found
        return collect(config('simple_cms.content_types'))
            ->map(function ($class, $key) {
                return $class::all();
            })
            ->flatten()
            ->filter();
        // phpcs:enable Generic.CodeAnalysis.UnusedFunctionParameter.Found
    }

    public function contentInReview(): Collection
    {
        // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter.Found
        return collect(config('simple_cms.content_types'))
            ->map(function ($class, $key) {
                return $class::whereInReview()->get();
            })
            ->flatten()
            ->filter();
        // phpcs:enableGeneric.CodeAnalysis.UnusedFunctionParameter.Found
    }
}
